function ellipse()
%ELLIPSE Zeichnet eine Ellipse

% Ellipsengleichung
A = [2 1; 1 5];
b = [-20; 15];
c = -5;

% Hauptachsentransformation, berechnet z, a, b und alpha
% --------------------
% >> Berechnung von z, a, b und alpha einf�gen
%
% ---------------------

% Ellipse ausgeben
drawellipse(z, a, b, alpha);
end

function drawellipse(z, a, b, alpha)
% drawellipse(z, a, b, alpha)
% draw ellipse with center z semiaxis a and b
% alpha angle between a and x-axis

s = sin(alpha); c = cos(alpha);
Q = [c -s; s c];
theta = 0:0.02:2*pi;
u = diag(z)*ones(2,length(theta)) + ...
    Q*[a*cos(theta); b*sin(theta)];
plot(u(1,:), u(2,:));
axis equal;
end

